Skip to content
Documentation

Edits a time series by name

PUT /repositories/{repository}/timeSeries/{timeSeries}

Edit a time series defined by its name using the body

Name In Type Required Description
repository path string yes The name of the repository in which the time series is stored.
timeSeries path string yes The name or id (prefixed with id:) of the time series to update.

Schema: TimeSeries

{
"name": "string",
"description": "string",
"function": 2,
"cyclic": true,
"interval": {
"type": 2,
"multiplier": 0
},
"unit": {
"storageInformation": {
"repositoryName": "string"
},
"identifier": "string"
},
"intervalTransformationMethod": 1,
"formula": {
"2020-01-01T00:00:00Z": "Its a formula!"
},
"timeZone": "Europe/Vienna",
"startOfTime": "2026-01-01T00:00:00Z",
"preserveDuplicatedValues": true,
"preserveHistoricData": true,
"preserveAuditLog": true,
"quotation": true,
"quotationDefaultBehavior": 2,
"compressionMode": 1,
"compressionMultiplier": 0
}
Code Description Type
200 Successfully edited the time series TimeSeriesReferenceOfInt32
404 Indicates that the given time series was not found within the given repository or that the given repository itself does not exist. ProblemDetails
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails

Schema: TimeSeriesReferenceOfInt32

{
"storageInformation": {
"repositoryName": "string"
},
"identifier": 0
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026